import { collection } from "./db.js";
import { ResultDocument } from "./types.js";

/**
 * Send an alert a new email provider was detected
 * @param data Result document
 */
export async function sendProviderAlert(data: EmailProviderDocument) {
  // -SNIP PUBLIC RELEASE-
}

/**
 * Send an alert a request has been handled
 * @param data Result document
 */
export async function sendHandleAlert(data: ResultDocument) {
  // -SNIP PUBLIC RELEASE-
}

/**
 * Send an alert a request was blocked
 * @param data Result document
 */
export async function sendRequestAlert(data: ResultDocument) {
  // -SNIP PUBLIC RELEASE-
}

export async function debugAlert(content: string) {
  // -SNIP PUBLIC RELEASE-
}

/**
 * Save a result to the database
 * @param data Result document
 */
export async function saveResult(data: ResultDocument) {
  // -SNIP PUBLIC RELEASE-
  collection("reports").insertOne(data);

  if (data.blocked) {
    console.info(
      `A request was blocked for [${data.reasons.join(", ")}] at ${
        data.timestamp
      }`
    );

    sendRequestAlert(data);
  } else {
    sendHandleAlert(data);
  }
}
