import { MxRecord } from "dns";

/**
 * Input data for validation
 */
export type ValidationInput = {
  // -SNIP PUBLIC RELEASE-

  /**
   * Skip alerts and monitoring for this request
   */
  dry_run?: boolean;
};

// -SNIP PUBLIC RELEASE-

/**
 * Information derived from the input
 */
export type ResolvedInformation = {
  // -SNIP PUBLIC RELEASE-
};

/**
 * Reason for blocking this request
 */
export enum BlockReason {}
// -SNIP PUBLIC RELEASE-

/**
 * Validation output
 */
export type ValidationResult = {
  /**
   * Whether this request was blocked
   */
  blocked: boolean;

  /**
   * Reasons for the request being blocked
   */
  reasons: BlockReason[];
};

/**
 * Detection result document
 */
export type ResultDocument = ({
  timestamp: string;
} & ValidationResult) & {
  input: ValidationInput;
  info: ResolvedInformation;
};

// -SNIP PUBLIC RELEASE-
